## gate.jape
Class Transducer

    java.lang.Object
      |
      +--gate.jape.Transducer

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MultiPhaseTransducer, Rule, SinglePhaseTransducer

public abstract class Transducer
extends Object
implements Serializable

Represents a single or multiphase transducer.

See Also:
  Serialized Form

Field Summary
`private URL` `baseURL`
`private static boolean` `DEBUG` Debug flag
`private boolean` `debugMode`
`protected boolean` `interrupted`
`protected String` `name` Name of this transducer.
`private Vector` `progressListeners`
`private Vector` `statusListeners`

Constructor Summary
`Transducer()`

Method Summary
`void` `addProgressListener(ProgressListener l)`
`void` `addStatusListener(StatusListener l)`
`abstract void` `cleanUp()` Clean up (delete action class files, for e.g.).
`abstract void` `finish()` Finish: replace dynamic data structures with Java arrays; called after parsing.
`protected void` `fireProcessFinished()`
`protected void` `fireProgressChanged(int e)` This property affects the Appelt style of rules application.
`protected void` `fireStatusChanged(String e)`
`URL` `getBaseURL()`
`String` `getName()` Get the phase name of this transducer
`void` `interrupt()` Notifies this PR that it should stop its execution as soon as possible.
`boolean` `isDebugMode()`
`boolean` `isInterrupted()` Checks whether this PR has been interrupted since the lsat time its `execute()` method was called.
`void` `removeProgressListener(ProgressListener l)`
`void` `removeStatusListener(StatusListener l)`
`void` `setBaseURL(URL newBaseURL)`
`void` `setDebugMode(boolean debugMode)`
`abstract String` `toString(String pad)` Create a string representation of the object with padding.
`abstract void` `transduce(Document doc, AnnotationSet inputAS, AnnotationSet outputAS)` Transduce a document.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### name

    protected String name

  Name of this transducer.

### interrupted

    protected boolean interrupted

### debugMode

    private boolean debugMode

### baseURL

    private URL baseURL

### progressListeners

    private transient Vector progressListeners

### statusListeners

    private transient Vector statusListeners

Constructor Detail

### Transducer

    public Transducer()

Method Detail

### getName

    public String getName()

  Get the phase name of this transducer

### transduce

    public abstract void transduce(Document doc,
                                   AnnotationSet inputAS,
                                   AnnotationSet outputAS)
                            throws JapeException,
                                   ExecutionException

  Transduce a document.

### finish

    public abstract void finish()

  Finish: replace dynamic data structures with Java arrays; called after parsing.

### cleanUp

    public abstract void cleanUp()

  Clean up (delete action class files, for e.g.).

### toString

    public abstract String toString(String pad)

  Create a string representation of the object with padding.

### isInterrupted

    public boolean isInterrupted()

  Checks whether this PR has been interrupted since the lsat time its `execute()` method was called.

### interrupt

    public void interrupt()

  Notifies this PR that it should stop its execution as soon as possible.

### setBaseURL

    public void setBaseURL(URL newBaseURL)

### getBaseURL

    public URL getBaseURL()

### removeProgressListener

    public void removeProgressListener(ProgressListener l)

### addProgressListener

    public void addProgressListener(ProgressListener l)

### setDebugMode

    public void setDebugMode(boolean debugMode)

### isDebugMode

    public boolean isDebugMode()

### fireProgressChanged

    protected void fireProgressChanged(int e)

  This property affects the Appelt style of rules application. If true then the longest match will be fired otherwise the shortest will be used. By default it is true.

### fireProcessFinished

    protected void fireProcessFinished()

### removeStatusListener

    public void removeStatusListener(StatusListener l)

### addStatusListener

    public void addStatusListener(StatusListener l)

### fireStatusChanged

    protected void fireStatusChanged(String e)